
From: "Mark A. Greer" <mgreer@mvista.com>

The gt64260 looks at the highest 20 bits while the mv64[34]60 looks at only
the highest 16 bits when determining the base address for the bridge's
registers.  This patch adds support for both.

Signed-off-by: Nate Case <ncase@xes-inc.com>
Signed-off-by: Mark A. Greer <mgreer@mvista.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc/boot/simple/misc-mv64x60.S |    4 ++++
 1 files changed, 4 insertions(+)

diff -puN arch/ppc/boot/simple/misc-mv64x60.S~ppc32-fix-mv64x60-register-relocation-bug-in-bootwrapper arch/ppc/boot/simple/misc-mv64x60.S
--- 25/arch/ppc/boot/simple/misc-mv64x60.S~ppc32-fix-mv64x60-register-relocation-bug-in-bootwrapper	Wed Feb  9 14:31:47 2005
+++ 25-akpm/arch/ppc/boot/simple/misc-mv64x60.S	Wed Feb  9 14:31:47 2005
@@ -32,7 +32,11 @@ mv64x60_init:
 #if (CONFIG_MV64X60_NEW_BASE != CONFIG_MV64X60_BASE)
 move_base:
 	li	r20,0
+#ifdef CONFIG_GT64260
 	li	r23,20
+#else /* Must be mv64[34]60 which uses top 16 bits */
+	li	r23,16
+#endif
 
 	/* Relocate bridge's regs */
 	addis	r25,0,CONFIG_MV64X60_BASE@h
_
